## org.gnu.gtk
Class EntryCompletion

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.EntryCompletion

public class EntryCompletion
extends GObject

EntryCompletion is an auxiliary object to be used in conjunction with Entry to provide the completion functionality. To add completion functionality to an Entry, use setCompletion(). In addition to regular completion matches, which will be inserted into the entry when they are selected, EntryCompletion also allows to display "actions" in the popup window. Their appearance is similar to menuitems, to differentiate them clearly from completion strings. When an action is selected, the ::action-activated signal is emitted.

Constructor Summary
`EntryCompletion()` Creates a new EntryCompletion object.
`EntryCompletion(org.gnu.glib.Handle nativeHandle)`

Method Summary
`void` `addListener(EntryCompletionListener listener)` Register an object to handle dialog events.
`void` `complete()` Requests a completion operation, or in other words a refiltering of the current list with completions, using the current key.
`void` `deleteAction(int index)` Remove an action for the EntryCompletions action list.
`Entry` `getEntry()` Returns the Entry this completion is attached to.
`static EntryCompletion` `getEntryCompletion(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`boolean` `getInlineCompletion()` Returns whether the common prefix of the possible completion should be automatically inserted into the entry.
`int` `getMinimumKeyLength()` Returns the minimum key length as set for completion.
`TreeModel` `getModel()` Returns the model that the EntryCompletion is using as a data source.
`boolean` `getPopupCompletion()` Returns whether the completion should be presented in a popup window.
`boolean` `getPopupSetWidth()`
`int` `getTextColumn()` Returns the column in the model of completion to get strings from.
`void` `insertActionMarkup(int index, java.lang.String markup)` Inserts an action in the EntryCompletion's action list with the position and text provided.
`void` `insertActionText(int index, java.lang.String text)` Inserts an action in the EntryCompletion's action list with the position and text provided.
`void` `insertPrefix()` Request a prefix insertion.
`void` `removeListener(EntryCompletionListener listener)` Removes a listener
`void` `setInlineCompletion(boolean inlineCompletion)` Sets whether the common prefix of the possible completion should be automatically inserted into the entry.
`void` `setMinimumKeyLength(int length)` Requires the length of the search key for the EntryCompletion to be at least length.
`void` `setModel(TreeModel model)` Sets the model for this EntryCompletion.
`void` `setPopupCompletion(boolean popupCompletion)` Sets whether the completion should be presented in a popup window.
`void` `setPopupSetWidth(boolean setWidth)`
`void` `setTextColumn(int column)` Specify which column in the model to use to display the strings.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntryCompletion

    public EntryCompletion()

  Creates a new EntryCompletion object.

### EntryCompletion

    public EntryCompletion(org.gnu.glib.Handle nativeHandle)

Method Detail

### getEntryCompletion

    public static EntryCompletion getEntryCompletion(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### getEntry

    public Entry getEntry()

  Returns the Entry this completion is attached to.

### setModel

    public void setModel(TreeModel model)

  Sets the model for this EntryCompletion. If there is already a model set it will remove it before setting the new mode.

  Parameters:
    `model` -

### getModel

    public TreeModel getModel()

  Returns the model that the EntryCompletion is using as a data source.

### setMinimumKeyLength

    public void setMinimumKeyLength(int length)

  Requires the length of the search key for the EntryCompletion to be at least length. This is useful for long lists where completing using a small key takes a lot of time and will come up with meaningless results.

  Parameters:
    `length` -

### getMinimumKeyLength

    public int getMinimumKeyLength()

  Returns the minimum key length as set for completion.

### complete

    public void complete()

  Requests a completion operation, or in other words a refiltering of the current list with completions, using the current key.

### insertPrefix

    public void insertPrefix()

  Request a prefix insertion.

### insertActionText

    public void insertActionText(int index,
                                 java.lang.String text)

  Inserts an action in the EntryCompletion's action list with the position and text provided. If this item is selected an event will be triggered of type ACTION_ACTIVATED. You can get the index value from the EntryCompletionEvent object.

  Parameters:
    `index` -
    `text` -

### insertActionMarkup

    public void insertActionMarkup(int index,
                                   java.lang.String markup)

  Inserts an action in the EntryCompletion's action list with the position and text provided. If this item is selected an event will be triggered of type ACTION_ACTIVATED. You can get the index value from the EntryCompletionEvent object.

  Parameters:
    `index` -
    `markup` -

### deleteAction

    public void deleteAction(int index)

  Remove an action for the EntryCompletions action list.

  Parameters:
    `index` -

### setInlineCompletion

    public void setInlineCompletion(boolean inlineCompletion)

  Sets whether the common prefix of the possible completion should be automatically inserted into the entry.

  Parameters:
    `inlineCompletion` -

### getInlineCompletion

    public boolean getInlineCompletion()

  Returns whether the common prefix of the possible completion should be automatically inserted into the entry.

### setPopupCompletion

    public void setPopupCompletion(boolean popupCompletion)

  Sets whether the completion should be presented in a popup window.

  Parameters:
    `popupCompletion` -

### getPopupCompletion

    public boolean getPopupCompletion()

  Returns whether the completion should be presented in a popup window.

### setTextColumn

    public void setTextColumn(int column)

  Specify which column in the model to use to display the strings.

  Parameters:
    `column` -

### getTextColumn

    public int getTextColumn()

  Returns the column in the model of completion to get strings from.

### setPopupSetWidth

    public void setPopupSetWidth(boolean setWidth)

### getPopupSetWidth

    public boolean getPopupSetWidth()

### addListener

    public void addListener(EntryCompletionListener listener)

  Register an object to handle dialog events.

  See Also:
    `EntryCompletionListener`

### removeListener

    public void removeListener(EntryCompletionListener listener)

  Removes a listener

  See Also:
    `addListener(EntryCompletionListener)`

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `GObject`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `GObject`